Crypt::MySQL(3pm)

NAME
Crypt::MySQL - emulate MySQL PASSWORD() function.

SYNOPSIS
  use Crypt::MySQL qw(password password41);

  my $encrypted = password("foobar"); # for MySQL 3.23, 4.0

  my $encrypted = password41("foobar"); # for MySQL 4.1 or later.

DESCRIPTION
Crypt::MySQL emulates MySQL PASSWORD() SQL function, without libmysqlclient. You can compare encrypted passwords, without real MySQL environment.

AUTHOR
IKEBE Tomohiro <ikebe@shebang.jp>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
DBD::mysql Digest::SHA